local LES = CreateFrame("Frame") -- Create Frame LegendaryEquipSounds
LES:RegisterEvent("PLAYER_EQUIPMENT_CHANGED") -- Register event for equipment change to the frame and set the onevent script
LES:SetScript("OnEvent",
	function(self,event,...)
		local arg1, arg2 = ...
		-- Debugging purposes, check to see if item was equipped or removed and from what slot
--[[		if (arg2 == 1) then
			print('LES: Item Equipped on slot:' .. arg1)
		else
			print('LES: Item Removed from slot:' .. arg1)
		end
]]		
		--when event triggers, check to see if it was the main hand slot that caused the event trigger (Slot 16)
		if (arg1 == 16) then
			-- If Dragonwrath, Tarecgosa's Rest(71086) was equipped, play sound and emote
			if(IsEquippedItem(71086) == true) then
				PlaySoundFile("Sound/creature/TARECGOSA/VO_QUEST_42_TARECGOSA_WHISPER_B_01.ogg")
				DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip Dragonwrath you hear Tarecgosa's words of confidence!\124h\124r")
				
			-- If Sulfuras, Hand of Ragnaros(17182) was equipped, play sound and emote
			elseif(IsEquippedItem(17182) == true) then
				PlaySoundFile("Sound/creature/RAGNAROS/VO_FL_RAGNAROS_PURGE_01.ogg")
				DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip Sulfuras you hear Ragnaros' voice threaten your existance!\124h\124r")
				
			-- If Warglaive of Azzinoth Main hand(32837) was equipped, check to see if off hand is equipped and if not, play sound and emote
			elseif (IsEquippedItem(32837) == true) then --main hand
				if (IsEquippedItem(32838) == false) then --off hand
					PlaySoundFile("Sound/creature/Illidan/BLACK_Illidan_04.ogg")
					DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip your Warglaive you hear Illidan taunting you!\124h\124r")
				end
			
			-- If Thunderfury, Blessed Blade of the Windseeker(19019) was equipped, play sound and emote
			elseif (IsEquippedItem(19019) == true) then
				PlaySoundFile("Sound/creature/Thunderaan/ThunderaanAggro.ogg")
				DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip Thunderfury a distant sound reminds you of your fight with Thunderaan!\124h\124r")
			
			-- If Shadowmourne(49623) was equipped, play sound and emote
			elseif (IsEquippedItem(49623) == true) then
				PlaySoundFile("Sound/creature/LichKing/IC_Lich King_SM12.ogg")
				DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip Shadowmourne you are reminded of the Lich King taunting you!\124h\124r")
			
			-- If Thori'dal, the Stars' Fury(34334) was equipped, play sound and emote
			elseif (IsEquippedItem(34334) == true) then
				PlaySoundFile("Sound/creature/KilJaeden/KILJAEDENPHASE03.ogg")
				DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip Thori'dal you are reminded of your fight with Kil'Jaedan!\124h\124r")
			
			-- If Val'anyr, Hammer of Ancient Kings(46017) was equipped, play sound and emote
			elseif (IsEquippedItem(46017) == true) then
				PlaySoundFile("Sound/creature/YoggSaron/AK_YoggSaron_HowlingFjordWhisper02.ogg")
				DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip Val'anyr you are reminded of the horrors that you faced in Ulduar!\124h\124r")
			
			-- If Golad, Twilight of Aspects(77949)(Fangs of the Father Main Hand) was equipped, check to see if off hand is equipped and if not, play sound and emote
			elseif (IsEquippedItem(77949) == true) then --main hand
				if (IsEquippedItem(77950) == false) then --off hand
					PlaySoundFile("Sound/creature/Deathwing/VO_53_Deathwing_Legendary_04.OGG")
					DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip your dagger you recall the threats of Deathwing!\124h\124r")
				end
			end
			
		end
		
		--when event triggers, if the main hand (slot 16) didnt trigger the event, check to see if off hand (slot 17) did
		if (arg1 == 17) then
			-- If Warglaive of Azzinoth Off hand(32838) was equipped, check to see if main hand is equipped and if not, play sound and emote
			if (IsEquippedItem(32838) == true) then --off hand
				if (IsEquippedItem(32837) == false) then --main hand
					PlaySoundFile("Sound/creature/Illidan/BLACK_Illidan_04.ogg")
					DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip your Warglaive you hear Illidan taunting you!\124h\124r")
				end
			
			-- If Tiriosh, Nightmare of Ages(77950)(Fangs of the Father Off-Hand) was equipped, check to see if main hand is equipped and if not, play sound and emote
			elseif (IsEquippedItem(77950) == true) then --off hand
				if (IsEquippedItem(77949) == false) then --main hand
					PlaySoundFile("Sound/creature/Deathwing/VO_53_Deathwing_Legendary_04.OGG")
					DEFAULT_CHAT_FRAME:AddMessage("\124c00ff8833\124hAs you equip your dagger you recall the threats of Deathwing!\124h\124r")
				end
			end
		end
	end)